#include <sys/param.h>
#include <time.h>

#define MAX_FLAGS	50
#define MAX_ARGS	30
#define MAX_KYLEN	20

struct UF
{
  char   name[ 24 ];         /* Username */
  int    ratio;              /* Ratio multiplier value */
  long	 weekly_allotment;  /* User get allotted credits after each week */
  signed int idle_time;
  char   flags[MAX_FLAGS];
  char   tagline[ 64 ];      /* The user's tagline */
  int	 num_logins;         /* Number of simultaneous logins allowed */
  long   credits;           /* # bytes credit */
  int    files_up;           /* Total # files upped */
  long  bytes_up;           /* Total # bytes upped */
  time_t seconds_up;         /* Total # seconds spent uploading */
  int    files_down;         /* Total # files downed */
  long  bytes_down;         /* Total # bytes downed */
  time_t seconds_down;       /* Total # seconds spent downloading */
  int    files_up_wk;        /* Total # files upped (week) */
  long  bytes_up_wk;        /* Total # bytes upped (week) */
  time_t seconds_up_wk;      /* Total # seconds spent uploading */
  int    files_down_wk;      /* Total # files downed (week) */
  long  bytes_down_wk;      /* Total # bytes downed (week) */
  time_t seconds_down_wk;    /* Total # seconds spent downloading (week) */
  int    files_up_day;
  long  bytes_up_day;
  time_t seconds_up_day;
  int    files_down_day;
  long  bytes_down_day;
  time_t seconds_down_day;
  int    files_up_month;
  long  bytes_up_month;
  time_t seconds_up_month;
  int    files_down_month;
  long  bytes_down_month;
  time_t seconds_down_month;
  int    login_times;        /* # times logged on */  
  time_t last_on;            /* Last date online */
  int    time_limit;         /* Time limit (in minutes) */
  int    time_on_today;      /* Number of minutes spent online today */
  time_t last_nuked;         /* Time the user last nuked */
  int	 times_nuked;	     /* total number of times user has been nuked*/
  long  bytes_nuked; 	     /* total bytes nuked */
  int    gadmin_max;	     /* Number of users the gadmin is allowed to add */
  char   group_user[ 10 ][ 15 ];  /* Groups this user belongs to */
  char   group_priv[ 10 ][ 15 ];  /* Groups this user belongs to */
  char   ip[ 10 ][ 55 ];     /* IPs allowed for this login */
};	       
struct UF uf;
struct UF ug;

struct USERRECORD {
	char keyword[MAX_KYLEN];
	char *arg[MAX_ARGS];
};

